List Gift Asks for a Contact
curl --request GET \
--url https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": "<integer>",
"giftAskUrl": "<string>",
"giftsAppliedUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"askAmount": "<double>",
"askAmountFormatted": "<string>",
"askDate": "<dateTime>",
"askDateFormatted": "<string>",
"expectedFulfillmentDate": "<dateTime>",
"expectedFulfillmentDateFormatted": "<string>",
"notes": "<string>",
"askType": "<string>",
"frequency": "<string>",
"declined": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"projectId": "<integer>",
"project": "<string>",
"projectUrl": "<string>",
"segmentId": "<integer>",
"segment": "<string>",
"segmentCode": "<string>",
"segmentUrl": "<string>",
"assignedUserId": "<integer>",
"assignedUser": "<string>",
"secondaryAssignedUser": "string",
"secondaryAssignedUserId": 0,
"status": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"id": "<integer>",
"giftAskUrl": "<string>",
"giftsAppliedUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"askAmount": "<double>",
"askAmountFormatted": "<string>",
"askDate": "<dateTime>",
"askDateFormatted": "<string>",
"expectedFulfillmentDate": "<dateTime>",
"expectedFulfillmentDateFormatted": "<string>",
"notes": "<string>",
"askType": "<string>",
"frequency": "<string>",
"declined": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"projectId": "<integer>",
"project": "<string>",
"projectUrl": "<string>",
"segmentId": "<integer>",
"segment": "<string>",
"segmentCode": "<string>",
"segmentUrl": "<string>",
"assignedUserId": "<integer>",
"assignedUser": "<string>",
"secondaryAssignedUser": "string",
"secondaryAssignedUserId": 0,
"status": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
],
"total": "<integer>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Giving
List Gift Asks for a Contact
Returns the gift asks recorded for the contact, including the amount asked for, the ask date, and whether it was declined. Use skip and take to page through the results.
GET
/
api
/
GiftAsk
/
ByContact
/
{contactId}
List Gift Asks for a Contact
curl --request GET \
--url https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/GiftAsk/ByContact/{contactId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"list": [
{
"id": "<integer>",
"giftAskUrl": "<string>",
"giftsAppliedUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"askAmount": "<double>",
"askAmountFormatted": "<string>",
"askDate": "<dateTime>",
"askDateFormatted": "<string>",
"expectedFulfillmentDate": "<dateTime>",
"expectedFulfillmentDateFormatted": "<string>",
"notes": "<string>",
"askType": "<string>",
"frequency": "<string>",
"declined": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"projectId": "<integer>",
"project": "<string>",
"projectUrl": "<string>",
"segmentId": "<integer>",
"segment": "<string>",
"segmentCode": "<string>",
"segmentUrl": "<string>",
"assignedUserId": "<integer>",
"assignedUser": "<string>",
"secondaryAssignedUser": "string",
"secondaryAssignedUserId": 0,
"status": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"id": "<integer>",
"giftAskUrl": "<string>",
"giftsAppliedUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"askAmount": "<double>",
"askAmountFormatted": "<string>",
"askDate": "<dateTime>",
"askDateFormatted": "<string>",
"expectedFulfillmentDate": "<dateTime>",
"expectedFulfillmentDateFormatted": "<string>",
"notes": "<string>",
"askType": "<string>",
"frequency": "<string>",
"declined": "<boolean>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"projectId": "<integer>",
"project": "<string>",
"projectUrl": "<string>",
"segmentId": "<integer>",
"segment": "<string>",
"segmentCode": "<string>",
"segmentUrl": "<string>",
"assignedUserId": "<integer>",
"assignedUser": "<string>",
"secondaryAssignedUser": "string",
"secondaryAssignedUserId": 0,
"status": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
],
"total": "<integer>"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Query Parameters
Was this page helpful?